* {
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    text-rendering: optimizelegibility;
    letter-spacing: -0.25px;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html,body {
    margin: 0;
    padding: 0;
}

body {
    overflow: hidden;
}

button {
    background-color: #4646a0;
    border: 2px solid #ffd700;
    border-radius: 10px;
    color: white;
    cursor: pointer;
    font-size: 20px;
    font-family: sans-serif;
    text-align: center;
    line-height: 46px;
    transition: background-color 0.2s ease;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
    padding: 0;
    margin: 0;
    outline: none;
}

button:hover {
    background-color: #6464c8;
}

button:disabled,
button.disabled {
    background-color: #999;
    border-color: #777;
    color: #ccc;
    cursor: not-allowed;
    opacity: 0.7;
}

button.hidden {
    display: none;
}

button:active {
    transform: translate(-50%, -50%) scale(0.98);
    box-shadow: 0 1px 2px rgba(0, 0, 0, 0.2);
}